///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright (C) 2006 by Intel Corporation and Carnegie Mellon University    //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////

#ifndef __SANDCAST_H
#define __SANDCAST_H

#include "CodeModule.hxx"
#include "CatomWorld.hxx"

CODE_MODULE_PROTOTYPE( SandCast, SandCast );
using namespace std;

extern CatomWorld *worldPtr;

class SandCast : public CodeModule {
public:
	SandCast(catomID _hostCatom) :
		CodeModule(_hostCatom) {}
	virtual void simulationStart();
	virtual void oracle();
	virtual void simulationEnd();
};

#endif
